From 0f06a760676b9e5aa8320d0cb8e9c23a3419286d Mon Sep 17 00:00:00 2001
From: Alan Griffiths <alan@octopull.co.uk>
Date: Mon, 22 Jun 2020 17:20:22 +0100
Subject: [PATCH] Fix compiler errors

---
 src/miral/display_configuration_option.cpp | 2 ++
 src/miral/external_client.cpp              | 1 +
 src/miral/runner.cpp                       | 1 +
 3 files changed, 4 insertions(+)

diff --git a/src/miral/display_configuration_option.cpp b/src/miral/display_configuration_option.cpp
index 864b4e7122..0ca6a1b1e0 100644
--- a/src/miral/display_configuration_option.cpp
+++ b/src/miral/display_configuration_option.cpp
@@ -24,6 +24,8 @@
 #include <mir/options/option.h>
 #include <mir/server.h>
 
+#include <algorithm>
+
 namespace mg = mir::graphics;
 
 namespace
diff --git a/src/miral/external_client.cpp b/src/miral/external_client.cpp
index af628fbe99..68200c253a 100644
--- a/src/miral/external_client.cpp
+++ b/src/miral/external_client.cpp
@@ -23,6 +23,7 @@
 #include <mir/options/option.h>
 #include <mir/server.h>
 
+#include <algorithm>
 #include <map>
 #include <stdexcept>
 
diff --git a/src/miral/runner.cpp b/src/miral/runner.cpp
index 7bad02f808..389a53cf69 100644
--- a/src/miral/runner.cpp
+++ b/src/miral/runner.cpp
@@ -26,6 +26,7 @@
 #include <mir/options/option.h>
 #include <mir/options/configuration.h>
 
+#include <algorithm>
 #include <chrono>
 #include <mutex>
 #include <thread>
-- 
2.26.2

